Bug 24732 - saving of multiport rules broken
Summary: saving of multiport rules broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-23 19:39 UTC by Enrico Scholz
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 15:28:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-01-23 19:39:39 UTC
When creating a rule like:

| iptables -I INPUT -p tcp -m multiport --destination-port 1 -j ACCEPT

the save command dumps core:

$ iptables-save
# Generated by iptables-save v1.2 on Tue Jan 23 13:44:31 2001
*filter
:INPUT ACCEPT [9:504]
Segmentation fault (core dumped)


Tested with final 2.4.0 kernel and kernel-2.4.0-0.43.12 package.

Comment 1 Bernhard Rosenkraenzer 2001-01-24 14:33:07 UTC
Debugging. Traced down to iptables-save.c:110 so far...

Comment 2 Enrico Scholz 2001-01-24 15:07:00 UTC
The netfilter-maillist contains some patches for the save-function. Perhaps in
their CVS it is already solved...

Comment 3 Bernhard Rosenkraenzer 2001-01-24 15:28:41 UTC
It comes down to multiport not providing a save method.
Should be
	if(match->save)
		match->save(...)
rather than just
	match->save(...)


Comment 4 Bernhard Rosenkraenzer 2001-01-24 15:32:38 UTC
Fixed in 1.2.0-4.


Note You need to log in before you can comment on or make changes to this bug.